Groovy 1.7.10

## org.codehaus.groovy.ast.expr
[Java] Class MapEntryExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.MapEntryExpression

    public class MapEntryExpression
    extends Expression

Represents an entry inside a map expression such as 1 : 2.

Authors:
  James Strachan

Version:
  \$Revision: 18287 \$

Constructor Summary
`MapEntryExpression(Expression keyExpression, Expression valueExpression)`

Method Summary
`Expression` | `getKeyExpression()`
`Expression` | `getValueExpression()`
`void` | `setKeyExpression(Expression keyExpression)`
`void` | `setValueExpression(Expression valueExpression)`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### MapEntryExpression

    public MapEntryExpression(Expression keyExpression, Expression valueExpression)

Method Detail

### getKeyExpression

    public Expression getKeyExpression()

### getValueExpression

    public Expression getValueExpression()

### setKeyExpression

    public void setKeyExpression(Expression keyExpression)

### setValueExpression

    public void setValueExpression(Expression valueExpression)

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2010 The Codehaus. All rights reserved.